SF.net SVN: morphix: [2382] trunk/morph-scripts/mmorphix

[email protected] Wed, 09 Aug 2006 15:02:49 -0700
Newsgroups gmane.linux.morphix.cvs
Message-ID <[email protected]>
Revision: 2382
Author:   bmsleight
Date:     2006-08-09 15:02:44 -0700 (Wed, 09 Aug 2006)
ViewCVS:  http://svn.sourceforge.net/morphix/?rev=2382&view=rev

Log Message:
-----------
Moving along..

Modified Paths:
--------------
    trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh

Added Paths:
-----------
    trunk/morph-scripts/mmorphix/background.xpf
Added: trunk/morph-scripts/mmorphix/background.xpf
===================================================================
--- trunk/morph-scripts/mmorphix/background.xpf	                        (rev 0)
+++ trunk/morph-scripts/mmorphix/background.xpf	2006-08-09 22:02:44 UTC (rev 2382)
@@ -0,0 +1,13 @@
+;Position file automatically generated by XaoS 3.1
+;  - a realtime interactive fractal zoomer
+;Use xaos -load <filename> to display it
+(initstate)
+(defaultpalette 0)
+(shiftpalette -47)
+(formula 'mandel6)
+(maxiter 8)
+(bailout 7)
+(incoloring 10)
+(intcoloring 4)
+(view -7.45 4.55 15.4 15.4)
+

Modified: trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh
===================================================================
--- trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh	2006-08-04 22:07:09 UTC (rev 2381)
+++ trunk/morph-scripts/mmorphix/morphing-morphix-gui.sh	2006-08-09 22:02:44 UTC (rev 2382)
@@ -264,7 +264,97 @@
 mv ./tmp.iso ./MyMorph.iso
 "	
 ###########################################################
+MESSAGE_MMAKER="Mmaker Example
 
+MMaker is a tool that is quite simple in nature. Using a 
+so-called template, an xml file with all the information 
+about the module you want to build, you can auto-build a 
+Morphix MainModule. 
+
+That's it kids, we will just have a look at 
+morphing-morphix.xml used to build this MainModule 
+currently running. "
+MESSAGE_MMAKER_1="Mmaker Example"
+MESSAGE_MMAKER_2="Mmaker Example
+
+We will then use mmaker to build a new version of the 
+MainModule. Unless you one of the lucky people who has a 
+local Debian, you will be using the main Debian repository.
+
+You need a fast connection to Debian repository and a lot 
+of space to build the MainModuel before it is compressed. 
+
+This step could take up to 45 minutes, but hey it is 
+automated!
+
+Continue ? "
+###########################################################
+MESSAGE_CHROOT="Chrooting a Main Module
+
+One of the easiest ways to modify a MainModule is to 
+extract the compressed filesystem then change the root 
+directory to the extracted file system - chroot.
+
+Once you have issued the chroot command it is just like you
+are running the compressed file system, rather than the 
+current filesystem.
+
+You can for example:-
+ * apt-get install new-applications
+ * Edit configuration files
+ * Have fun ...." 
+MESSAGE_CHROOT_1="Chrooting a Main Module
+
+We will now extract the MainModule. This can take a while 
+as ~800M is extracted
+
+We will use the commands:-
+isomorph --get main ./MyMorph.iso /tmp/
+module-extractor /tmp/mainmod.mod ./morphing/
+"
+MESSAGE_CHROOT_2="Chrooting a Main Module
+
+Previous extraction detected, do you wish to skip 
+extracting the MainModule ?
+
+If you do not skip, previous changes will be lost"
+MESSAGE_CHROOT_3="Chrooting a Main Module
+
+We will now drop into at the chroot of the extracted 
+filesystem.
+
+We will use these commands:-
+cp /etc/resolv.conf ./morphing/etc/resolv.conf
+chroot ./morphing/ mount -t proc /proc proc
+chroot ./morphing/
+
+After we have finished with the chroot, we will tidy up 
+with this command:-
+chroot ./morphing/ umount -lf /proc 
+
+When finished with your morphing fun type:
+exit
+"
+MESSAGE_CHROOT_4="Chrooting a Main Module
+
+We will now compress the mainmodule from this cd. This 
+can take a while as ~800M is compressed
+
+We will use this command:-
+module-builder ./morphing/ /tmp/mainmod.mod
+
+Do you wish to skip compression and carry on morphing ?"
+MESSAGE_CHROOT_5="Chrooting a Main Module
+
+We will add the MainModuule to the iso:-
+
+isomorph --add main /tmp/mainmod.mod 
+          ./MyMorph.iso ./tmp.iso
+   
+mv ./tmp.iso ./MyMorph.iso
+"
+###########################################################
+
 }
 
 
@@ -313,7 +403,7 @@
 		  off "
  done
  XD='Xdialog --title "$MESSAGE_TITLE" --left --cancel-label "QUIT" --radiolist  \
-	"$TMP_MENU_DETAIL" 25 50 0'
+	"$TMP_MENU_DETAIL" 26 52 0'
  eval $XD $TMP_MENU 2> $TMP_FILE
  TMP=$?
  if [ "$TMP" = "0" ]
@@ -340,7 +430,7 @@
  	TMP_MENU="$TMP_MENU \"$TMP_MENU_OPTIONS\" \" \"\
 		  off "
  done
- XD='Xdialog --title --no-cancel "$MESSAGE_TITLE" --radiolist  \
+ XD='Xdialog --no-cancel --title "$MESSAGE_TITLE" --radiolist  \
 	"$TMP_MENU_DETAIL" 0 0 0'
  eval $XD $TMP_MENU 2> $TMP_FILE
  TMP_XD_RETURN=`cat $TMP_FILE`
@@ -717,6 +807,24 @@
  if [ "$?" = "1" ]
  then
 	log_file "build_mainmodule"
+	xdialog_message "$MESSAGE_MMAKER"
+	xdialog_tail_box "$MESSAGE_MMAKER_1" "/usr/share/morphing-morphix/morphing-morphix.xml"
+	xdialog_yes_no  "$MESSAGE_MMAKER_2"
+	case $? in
+		0)
+		  log_and_do_command_progress "sudo mmaker 
+		  /usr/share/morphing-morphix/morphing-morphix.xml 
+		  /tmp/morphing-morphix.mod"
+		  log_and_do_command_progress "sudo isomorph --add main  
+		  /tmp/morphing-morphix.mod  
+		  $MNT_POINT/mmorphix/iso/$SETTING_MYMORPH /tmp/tmp.iso"
+		  log_and_do_command "mv -f /tmp/tmp.iso $MNT_POINT/mmorphix/iso/$SETTING_MYMORPH"
+		  log_file "carry on morphing";;
+		1)
+		  log_file "mmaker mainmodule_skipped";;
+		255)
+		  log_file "mmaker mainmodule_skipped";;
+	esac
  fi
  main_menu
 }


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.


-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642